## rust-speakersafetyd 1.0.2

=== Makefile ===
# SPDX-Licence-Identifier: MIT
# Copyright The Asahi Linux Contributors

BINDIR ?= /usr/bin
UNITDIR ?= /lib/systemd/system
UDEVDIR ?= /lib/udev/rules.d
TMPFILESDIR ?= /usr/lib/tmpfiles.d
SHAREDIR ?= /usr/share/
VARDIR ?= /var/

all:
	cargo build --release

install: install-data
	install -dDm0755 $(DESTDIR)/$(BINDIR)
	install -pm0755 target/release/speakersafetyd $(DESTDIR)/$(BINDIR)/speakersafetyd

install-data:
	install -dDm0755 $(DESTDIR)/$(UNITDIR)
	install -pm0644 speakersafetyd.service $(DESTDIR)/$(UNITDIR)/speakersafetyd.service
	install -dDm0755 $(DESTDIR)/$(UDEVDIR)
	install -pm0644 95-speakersafetyd.rules $(DESTDIR)/$(UDEVDIR)/95-speakersafetyd.rules
	install -dDm0755 $(DESTDIR)/$(SHAREDIR)/speakersafetyd/apple
	install -pm0644 -t $(DESTDIR)/$(SHAREDIR)/speakersafetyd/apple $(wildcard conf/apple/*)
	install -dDm0755 $(DESTDIR)/$(VARDIR)/lib/speakersafetyd/blackbox
	install -dDm0755 $(DESTDIR)/$(TMPFILESDIR)
	install -pm0644 speakersafetyd.tmpfiles $(DESTDIR)/$(TMPFILESDIR)/speakersafetyd.conf

uninstall:
	rm -f $(DESTDIR)/$(BINDIR)/speakersafetyd $(DESTDIR)/$(UNITDIR)/speakersafetyd.service $(DESTDIR)/$(UDEVDIR)/95-speakersafetyd.rules $(DESTDIR)/$(TMPFILESDIR)/speakersafetyd.conf
	rm -rf $(DESTDIR)/$(SHAREDIR)/speakersafetyd

.PHONY: all install install-data uninstall

## rust-speakersafetyd 0.1.9

=== debian/changelog ===
rust-speakersafetyd (0.1.9-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:56:59 +1100

rust-speakersafetyd (0.1.9-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:02:30 +0000

rust-speakersafetyd (0.1.9-1) unstable; urgency=medium

  * Package speakersafetyd 0.1.9 from crates.io using debcargo 2.6.0

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 17 Dec 2023 15:32:21 +0100

rust-speakersafetyd (0.1.8-2) unstable; urgency=medium

  * Use install-data target and drop blackbox directory workaround.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 17 Dec 2023 10:02:35 +0100

rust-speakersafetyd (0.1.8-1) unstable; urgency=medium

  * Package speakersafetyd 0.1.8 from crates.io using debcargo 2.6.0
  * Drop debian/patches/configparser-3.patch

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 17 Dec 2023 09:46:39 +0100

rust-speakersafetyd (0.1.4-1) experimental; urgency=medium

  * Package speakersafetyd 0.1.4 from crates.io using debcargo 2.6.0
    (Closes: #1055897)
  * Add debian/patches/configparser-3.patch
    - upgrade configparser dependency again.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 18 Nov 2023 19:27:54 +0100

=== debian/control ===
Source: rust-speakersafetyd
Section: sound
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-alsa-0.8+default-dev (>= 0.8.1-~~),
 librust-chrono-0.4+default-dev (>= 0.4.31-~~),
 librust-clap-4+default-dev (>= 4.1.6-~~),
 librust-clap-4+derive-dev (>= 4.1.6-~~),
 librust-clap-verbosity-flag-2+default-dev,
 librust-configparser-3+default-dev (>= 3.0.3-~~),
 librust-configparser-3+indexmap-dev (>= 3.0.3-~~),
 librust-json-0.12+default-dev (>= 0.12.4-~~),
 librust-libc-0.2+default-dev (>= 0.2.150-~~),
 librust-log-0.4+default-dev (>= 0.4.17-~~),
 librust-signal-hook-0.3+default-dev (>= 0.3.17-~~),
 librust-simple-logger-1+default-dev (>= 1.16.0-~~),
 systemd-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Andreas Henriksson <andreas@fatal.se>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/speakersafetyd]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speakersafetyd
X-Cargo-Crate: speakersafetyd
Rules-Requires-Root: no

Package: speakersafetyd
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: speaker protection daemon for embedded Linux systems
 Handles speaker safety on Apple Silicon machines. This code is designed to
  fail safe. The kernel keeps the speakers capped at a low volume level until
  this daemon initializes. If at any time we run into an unrecoverable error
  or a timeout, we panic and let the kernel put the speakers back into a safe
  state.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/rustc/architecture.mk

%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	dh_auto_test -- test --all

execute_after_dh_install:
	# installs systemd service, udev rules, conf files and blackbox dir.
	$(MAKE) install-data \
		DESTDIR="debian/speakersafetyd" \
		UNITDIR="$(shell pkg-config --variable=systemdsystemunitdir systemd)" \
		UDEVDIR="$(shell pkg-config --variable=udevdir udev)/rules.d"

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/speakersafetyd-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/speakersafetyd .*/crates/speakersafetyd/@ANY_VERSION@/download

## rust-speakersafetyd 1.0.0

=== debian/changelog ===
rust-speakersafetyd (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Package speakersafetyd 1.0.0 from crates.io using debcargo 2.6.1

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 03 Aug 2024 22:13:17 +0200

rust-speakersafetyd (0.1.9-2) unstable; urgency=medium

  * d/rules: do not enable speakersafetyd.service on install
  * d/speakersafetyd.postinst: disable speakersafetyd.service on upgrades
    and start it based on the udev rules on install
  * d/debcargo.toml: fix long description indentation

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 15 Jun 2024 09:28:03 -0400

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,10 @@
  librust-signal-hook-0.3+default-dev (>= 0.3.17-~~),
  librust-simple-logger-1+default-dev (>= 1.16.0-~~),
  systemd-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Andreas Henriksson <andreas@fatal.se>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/speakersafetyd]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speakersafetyd
 X-Cargo-Crate: speakersafetyd
@@ -44,9 +43,19 @@
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
 XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
-Description: speaker protection daemon for embedded Linux systems
- Handles speaker safety on Apple Silicon machines. This code is designed to
-  fail safe. The kernel keeps the speakers capped at a low volume level until
-  this daemon initializes. If at any time we run into an unrecoverable error
-  or a timeout, we panic and let the kernel put the speakers back into a safe
-  state.
+Description: software Smart Amp implementation
+ speakersafetyd is a userspace daemon that implements an analogue of the Texas
+ Instruments Smart Amp speaker protection model.
+ .
+ Apple Silicon Macs mostly use amp chip which provides sense lines for the
+ voltage and current across the voice coil of the connected speaker. These
+ codecs are designed to be used in embedded applications where device firmware
+ takes this information and uses it to protect the speaker from damage.
+ .
+ speakersafetyd is an implementation of a speaker protection model. It solves
+ the problem described above by allowing parties interested in compatible
+ devices to quickly and easily implement a speaker protection model for those
+ devices. Only Apple Silicon Macs under Linux are currently supported, however
+ the model applies to all loudspeakers. The daemon itself should be easy enough
+ to adapt for any device that provides V/ISENSE data in a manner similar to
+ TAS2764.

## rust-speakersafetyd 1.0.1

=== debian/changelog ===
rust-speakersafetyd (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * Package speakersafetyd 1.0.1 from crates.io using debcargo 2.6.1
  * Relax dep simple_logger to 5

 -- Blair Noctis <ncts@debian.org>  Wed, 11 Sep 2024 08:32:50 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  librust-libc-0.2+default-dev (>= 0.2.150-~~),
  librust-log-0.4+default-dev (>= 0.4.17-~~),
  librust-signal-hook-0.3+default-dev (>= 0.3.17-~~),
- librust-simple-logger-1+default-dev (>= 1.16.0-~~),
+ librust-simple-logger-5+default-dev,
  systemd-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:

## rust-speakersafetyd 1.0.2

=== debian/changelog ===
rust-speakersafetyd (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * Package speakersafetyd 1.0.2 from crates.io using debcargo 2.7.6
  * Add myself to Uploaders
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Thu, 30 Jan 2025 11:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: rust-speakersafetyd
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 12),
- dh-cargo (>= 25),
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-cargo,
  cargo:native,
  rustc:native,
  libstd-rust-dev,
- librust-alsa-0.8+default-dev (>= 0.8.1-~~),
+ librust-alsa-0.9+default-dev (>= 0.9.1-~~),
  librust-chrono-0.4+default-dev (>= 0.4.31-~~),
  librust-clap-4+default-dev (>= 4.1.6-~~),
  librust-clap-4+derive-dev (>= 4.1.6-~~),
  librust-clap-verbosity-flag-2+default-dev,
- librust-configparser-3+default-dev (>= 3.0.3-~~),
- librust-configparser-3+indexmap-dev (>= 3.0.3-~~),
+ librust-configparser-3+default-dev,
+ librust-configparser-3+indexmap-dev,
  librust-json-0.12+default-dev (>= 0.12.4-~~),
  librust-libc-0.2+default-dev (>= 0.2.150-~~),
  librust-log-0.4+default-dev (>= 0.4.17-~~),
@@ -21,10 +21,12 @@
  systemd-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
- Andreas Henriksson <andreas@fatal.se>
-Standards-Version: 4.6.2
+ Andreas Henriksson <andreas@fatal.se>,
+ NoisyCoil <noisycoil@tutanota.com>
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/speakersafetyd]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/speakersafetyd
+Homepage: https://github.com/AsahiLinux/speakersafetyd/
 X-Cargo-Crate: speakersafetyd
 Rules-Requires-Root: no
 
@@ -42,7 +44,7 @@
 Provides:
  ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
-XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
+Static-Built-Using: ${cargo:Static-Built-Using}
 Description: software Smart Amp implementation
  speakersafetyd is a userspace daemon that implements an analogue of the Texas
  Instruments Smart Amp speaker protection model.

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 		DESTDIR="debian/speakersafetyd" \
 		UNITDIR="$(shell pkg-config --variable=systemdsystemunitdir systemd)" \
 		UDEVDIR="$(shell pkg-config --variable=udevdir udev)/rules.d"
+
+override_dh_installsystemd:
+	dh_installsystemd --no-enable

## rust-speakersafetyd 1.1.2

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 TMPFILESDIR ?= /usr/lib/tmpfiles.d
 SHAREDIR ?= /usr/share/
 VARDIR ?= /var/
+SPEAKERSAFETYD_GROUP ?= speakersafetyd
+SPEAKERSAFETYD_USER ?= speakersafetyd
 
 all:
 	cargo build --release
@@ -22,9 +24,11 @@
 	install -pm0644 95-speakersafetyd.rules $(DESTDIR)/$(UDEVDIR)/95-speakersafetyd.rules
 	install -dDm0755 $(DESTDIR)/$(SHAREDIR)/speakersafetyd/apple
 	install -pm0644 -t $(DESTDIR)/$(SHAREDIR)/speakersafetyd/apple $(wildcard conf/apple/*)
-	install -dDm0755 $(DESTDIR)/$(VARDIR)/lib/speakersafetyd/blackbox
+	install -dDm0755 -o $(SPEAKERSAFETYD_USER) -g $(SPEAKERSAFETYD_GROUP) $(DESTDIR)/$(VARDIR)/lib/speakersafetyd
+	install -dDm0700 -o $(SPEAKERSAFETYD_USER) -g $(SPEAKERSAFETYD_GROUP) $(DESTDIR)/$(VARDIR)/lib/speakersafetyd/blackbox
 	install -dDm0755 $(DESTDIR)/$(TMPFILESDIR)
 	install -pm0644 speakersafetyd.tmpfiles $(DESTDIR)/$(TMPFILESDIR)/speakersafetyd.conf
+	install -dDm0755 -o $(SPEAKERSAFETYD_USER) -g $(SPEAKERSAFETYD_GROUP) $(DESTDIR)/run/speakersafetyd
 
 uninstall:
 	rm -f $(DESTDIR)/$(BINDIR)/speakersafetyd $(DESTDIR)/$(UNITDIR)/speakersafetyd.service $(DESTDIR)/$(UDEVDIR)/95-speakersafetyd.rules $(DESTDIR)/$(TMPFILESDIR)/speakersafetyd.conf

=== debian/changelog ===
rust-speakersafetyd (1.1.2-4) unstable; urgency=medium

  * Package speakersafetyd 1.1.2 from crates.io using debcargo 2.7.8
  * Unset M-A: allowed for speakersafetyd

 -- NoisyCoil <noisycoil@tutanota.com>  Wed, 14 May 2025 23:58:46 +0200

rust-speakersafetyd (1.1.2-3) unstable; urgency=medium

  * Package speakersafetyd 1.1.2 from crates.io using debcargo 2.7.8
  * d/speakersafetyd.lintian-overrides: override no-manual-page for daemon
    /usr/bin/speakersafetyd

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 26 Apr 2025 17:43:48 +0200

rust-speakersafetyd (1.1.2-2) unstable; urgency=medium

  * Package speakersafetyd 1.1.2 from crates.io using debcargo 2.7.8
  * d/speakersafetyd.postinst: check if udevadm exists before executing it
  * d/copyright: refresh copyright years

 -- NoisyCoil <noisycoil@tutanota.com>  Mon, 31 Mar 2025 02:30:30 +0200

rust-speakersafetyd (1.1.2-1) unstable; urgency=medium

  * Package speakersafetyd 1.1.2 from crates.io using debcargo 2.7.8
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 29 Mar 2025 14:41:38 +0100

rust-speakersafetyd (1.1.0-1) experimental; urgency=medium

  * Package speakersafetyd 1.1.0 from crates.io using debcargo 2.7.8
  * Remove d/p/0001-Support-not-running-as-root.patch (merged upstream)
  * Remove d/p/0002-Add-sysusers.d-configuration.patch and replace it
    with d/speakersafetyd.sysusers
  * d/patches: refresh

 -- NoisyCoil <noisycoil@tutanota.com>  Sat, 29 Mar 2025 03:38:24 +0100

rust-speakersafetyd (1.0.2-2) experimental; urgency=medium

  * Package speakersafetyd 1.0.2 from crates.io using debcargo 2.7.8
  * Support running as non-root:
    - import upstream PR#24
    - add sysusers.conf.d configuration
    - change system user name to _speakersafetyd
    - fully lock the _speakersafetyd account
    - adapt build scripts

 -- NoisyCoil <noisycoil@tutanota.com>  Fri, 28 Mar 2025 17:19:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-cargo,
- cargo:native,
+ systemd-dev
+Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-alsa-0.9+default-dev (>= 0.9.1-~~),
@@ -17,8 +18,7 @@
  librust-libc-0.2+default-dev (>= 0.2.150-~~),
  librust-log-0.4+default-dev (>= 0.4.17-~~),
  librust-signal-hook-0.3+default-dev (>= 0.3.17-~~),
- librust-simple-logger-5+default-dev,
- systemd-dev
+ librust-simple-logger-5+default-dev
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Andreas Henriksson <andreas@fatal.se>,
@@ -32,7 +32,6 @@
 
 Package: speakersafetyd
 Architecture: any
-Multi-Arch: allowed
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 		DESTDIR="debian/speakersafetyd" \
 		UNITDIR="$(shell pkg-config --variable=systemdsystemunitdir systemd)" \
 		UDEVDIR="$(shell pkg-config --variable=udevdir udev)/rules.d"
+	# add sysusers snippets to maintscripts. drop at compat >= 14
+	dh_installsysusers
 
 override_dh_installsystemd:
 	dh_installsystemd --no-enable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/speakersafetyd-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/speakersafetyd .*/crates/speakersafetyd/@ANY_VERSION@/download
